<?php
/**
 * @file
 * cms_wysiwyg.features.filter.inc
 */

/**
 * Implements hook_filter_default_formats().
 */
function cms_wysiwyg_filter_default_formats() {
  $formats = array();

  // Exported format: WYSIWYG Full HTML.
  $formats['wysiwyg_full'] = array(
    'format' => 'wysiwyg_full',
    'name' => 'WYSIWYG Full HTML',
    'cache' => 0,
    'status' => 1,
    'weight' => -9,
    'filters' => array(
      'block_shortcode' => array(
        'weight' => -50,
        'status' => 1,
        'settings' => array(),
      ),
      'media_filter' => array(
        'weight' => -49,
        'status' => 1,
        'settings' => array(),
      ),
      'shortcode' => array(
        'weight' => -48,
        'status' => 1,
        'settings' => array(
          'alert' => 1,
          'badge' => 1,
          'breadcrumb' => 0,
          'breadcrumb-item' => 0,
          'button' => 1,
          'button-group' => 0,
          'button-toolbar' => 0,
          'caret' => 0,
          'carousel' => 1,
          'carousel-item' => 1,
          'code' => 0,
          'collapse' => 1,
          'collapsibles' => 1,
          'column' => 1,
          'container' => 1,
          'divider' => 0,
          'dropdown' => 0,
          'dropdown-header' => 0,
          'dropdown-item' => 0,
          'emphasis' => 1,
          'icon' => 1,
          'img' => 1,
          'jumbotron' => 1,
          'label' => 1,
          'lead' => 1,
          'list-group' => 0,
          'list-group-item' => 0,
          'list-group-item-heading' => 0,
          'list-group-item-text' => 0,
          'media' => 1,
          'media-body' => 1,
          'media-object' => 1,
          'modal' => 1,
          'modal-footer' => 1,
          'nav' => 0,
          'nav-item' => 0,
          'page-header' => 1,
          'panel' => 1,
          'popover' => 1,
          'progress' => 1,
          'progress-bar' => 1,
          'responsive' => 1,
          'row' => 1,
          'span' => 0,
          'tab' => 1,
          'table' => 1,
          'table-wrap' => 1,
          'tabs' => 1,
          'thumbnail' => 1,
          'tooltip' => 1,
          'well' => 1,
          'shortcode-help' => 1,
          'fa-icon' => 1,
          'box' => 1,
          'social' => 1,
          'contact' => 1,
          'animate' => 0,
          'image-box' => 0,
          'team-box' => 0,
          'full-width' => 0,
          'dropshadow' => 0,
        ),
      ),
      'shortcode_text_corrector' => array(
        'weight' => -47,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_htmlcorrector' => array(
        'weight' => -46,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_url' => array(
        'weight' => -45,
        'status' => 1,
        'settings' => array(
          'filter_url_length' => 72,
        ),
      ),
    ),
  );

  // Exported format: WYSIWYG Simple.
  $formats['wysiwyg_simple'] = array(
    'format' => 'wysiwyg_simple',
    'name' => 'WYSIWYG Simple',
    'cache' => 1,
    'status' => 1,
    'weight' => -10,
    'filters' => array(
      'filter_html' => array(
        'weight' => -50,
        'status' => 1,
        'settings' => array(
          'allowed_html' => '<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd> <p> <br>',
          'filter_html_help' => 1,
          'filter_html_nofollow' => 0,
        ),
      ),
      'shortcode' => array(
        'weight' => -47,
        'status' => 1,
        'settings' => array(
          'animate' => 0,
          'alert' => 0,
          'badge' => 0,
          'breadcrumb' => 0,
          'breadcrumb-item' => 0,
          'button' => 1,
          'button-group' => 0,
          'button-toolbar' => 0,
          'caret' => 0,
          'carousel' => 0,
          'carousel-item' => 0,
          'code' => 0,
          'collapse' => 0,
          'collapsibles' => 0,
          'column' => 0,
          'container' => 0,
          'divider' => 1,
          'dropdown' => 0,
          'dropdown-header' => 0,
          'dropdown-item' => 0,
          'emphasis' => 0,
          'icon' => 0,
          'img' => 0,
          'jumbotron' => 0,
          'label' => 0,
          'lead' => 0,
          'list-group' => 0,
          'list-group-item' => 0,
          'list-group-item-heading' => 0,
          'list-group-item-text' => 0,
          'media' => 0,
          'media-body' => 0,
          'media-object' => 0,
          'modal' => 0,
          'modal-footer' => 0,
          'nav' => 0,
          'nav-item' => 0,
          'page-header' => 0,
          'panel' => 0,
          'popover' => 0,
          'progress' => 0,
          'progress-bar' => 0,
          'responsive' => 0,
          'row' => 0,
          'span' => 0,
          'tab' => 0,
          'table' => 0,
          'table-wrap' => 0,
          'tabs' => 0,
          'thumbnail' => 0,
          'tooltip' => 0,
          'well' => 0,
          'scrollfx' => 0,
          'quote' => 0,
          'highlight' => 0,
          'dropcap' => 0,
          'item' => 0,
          'clear' => 0,
          'link' => 0,
          'random' => 0,
        ),
      ),
      'shortcode_text_corrector' => array(
        'weight' => -46,
        'status' => 1,
        'settings' => array(),
      ),
      'media_filter' => array(
        'weight' => -43,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_htmlcorrector' => array(
        'weight' => -42,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_autop' => array(
        'weight' => 0,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_url' => array(
        'weight' => 0,
        'status' => 1,
        'settings' => array(
          'filter_url_length' => 72,
        ),
      ),
    ),
  );

  return $formats;
}
